Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519473 - VMs on SCVMM report cores per socket and number of sockets incorrectly
Summary: VMs on SCVMM report cores per socket and number of sockets incorrectly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: All
OS: All
high
medium
Target Milestone: GA
: 5.9.0
Assignee: Adam Grare
QA Contact: Niyaz Akhtar Ansari
URL:
Whiteboard:
Depends On: 1514463
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-30 18:23 UTC by Satoe Imaishi
Modified: 2018-03-01 13:21 UTC (History)
8 users (show)

Fixed In Version: 5.9.0.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1514463
Environment:
Last Closed: 2018-03-01 13:21:45 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0380 normal SHIPPED_LIVE Moderate: Red Hat CloudForms security, bug fix, and enhancement update 2018-03-01 18:37:12 UTC

Comment 2 CFME Bot 2017-11-30 18:33:42 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:
https://github.com/ManageIQ/manageiq-ui-classic/commit/c1d3725f7e4d25f417c53d4971a3a452282803b2

commit c1d3725f7e4d25f417c53d4971a3a452282803b2
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Wed Nov 29 16:54:21 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Nov 30 13:20:37 2017 -0500

    Merge pull request #2873 from agrare/fix_textual_devices_cpu_description
    
    Only show sockets and cores_per_socket if present
    (cherry picked from commit 92418a76eb5d3e5a95e10e799d73138ffed643a4)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1519473

 app/helpers/textual_mixins/textual_devices.rb | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

Comment 3 CFME Bot 2017-12-01 13:55:29 UTC
New commit detected on ManageIQ/manageiq-providers-scvmm/gaprindashvili:
https://github.com/ManageIQ/manageiq-providers-scvmm/commit/06e7d5671d252815f2d688ae2df113e1624a1ba4

commit 06e7d5671d252815f2d688ae2df113e1624a1ba4
Author:     Daniel Berger <djberg96@gmail.com>
AuthorDate: Wed Nov 29 10:31:42 2017 -0700
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Dec 1 08:49:21 2017 -0500

    Merge pull request #51 from agrare/bz_1514463_dont_report_cpu_sockets_or_cores_per_socket
    
    Don't report misleading sockets/cores
    (cherry picked from commit bfc5ea32a7f9e986b2ca222f5e90c0fa60870cb0)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1519473

 app/models/manageiq/providers/microsoft/infra_manager/refresh_parser.rb | 2 --
 .../models/manageiq/providers/microsoft/infra_manager/refresher_spec.rb | 2 --
 2 files changed, 4 deletions(-)

Comment 4 CFME Bot 2017-12-01 14:28:43 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:
https://github.com/ManageIQ/manageiq-ui-classic/commit/8b954742cdbc633a6c52e24a42f3bf89cac22ece

commit 8b954742cdbc633a6c52e24a42f3bf89cac22ece
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Thu Nov 30 14:34:37 2017 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Dec 1 09:25:28 2017 -0500

    Merge pull request #2872 from agrare/fix_vm_cpu_count_textual_summary
    
    Fix CPU summary for VMs without cores_per_socket
    (cherry picked from commit 07e40e5afebc3972763e556567e8cd1efb147813)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1519473

 app/helpers/vm_helper/textual_summary.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 5 Niyaz Akhtar Ansari 2017-12-13 06:02:49 UTC
Verified in 5.9.0.12

Comment 8 errata-xmlrpc 2018-03-01 13:21:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0380


Note You need to log in before you can comment on or make changes to this bug.